%define major     17
%define libname   %mklibname %{name} %{major}
%define develname %mklibname %{name} -d

Summary:        Library and tool to control NAT in UPnP-enabled routers
Name:           miniupnpc
Version:        2.2.0
Release:        %mkrel 1
License:        LGPLv2+
Group:          System/Libraries
URL:            http://miniupnp.free.fr/
Source:         http://miniupnp.free.fr/files/%{name}-%{version}.tar.xz
Patch1:         %{name}-version.patch
Source1:        USAGE

BuildRequires:  cmake

%description
miniupnpc is an implementation of a UPnP client library, enabling
applications to access the services provided by an UPnP "Internet
Gateway Device" present on the network. In UPnP terminology, it is
a UPnP Control Point.

%package -n     %{libname}
Summary:        Library and tool to control NAT in UPnP-enabled routers
Group:          System/Libraries

%description -n %{libname}
miniupnpc is an implementation of a UPnP client library, enabling
applications to access the services provided by an UPnP "Internet
Gateway Device" present on the network. In UPnP terminology, it is
a UPnP Control Point.

%package -n     %{develname}
Summary:        Header files, libraries and development documentation for miniupnpc
Group:          Development/Libraries
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{develname}
This package contains the header files and development documentation for
miniupnpc. If you like to develop programs using miniupnpc, you will need
to install miniupnpc-devel.

%prep
%setup -q
%apply_patches

cp %{SOURCE1} .

%build
%cmake -DUPNPC_BUILD_STATIC=FALSE
%make_build

### build example client
cd ..
%make_build upnpc-shared all

%install
%make_install -C build

# install manpage and binary for example client using libminiupnpc
install -D -m 644 man3/miniupnpc.3 %{buildroot}%{_mandir}/man3/miniupnpc.3
install -D -m 0755 upnpc-shared %{buildroot}%{_bindir}/upnpc

%check
%__make CFLAGS="-DMINIUPNPC_SET_SOCKET_TIMEOUT" check

%files
%doc Changelog.txt LICENSE README USAGE
%{_bindir}/upnpc
%{_mandir}/man3/miniupnpc.3.*

%files -n %{libname}
%{_libdir}/*.so.%{major}

%files -n %{develname}
%{_includedir}/miniupnpc
%{_libdir}/*.so


%changelog
* Fri Nov 20 2020 tex - 2.2.0-1pclos2020
- new version

* Fri Jun 21 2019 2.1-1pclos2019
- now libmajor is 17
